#include "Behavioural/include/SPR_access_mode.h"

namespace morpheo {
namespace behavioural {

  spr_address_t SPR_access_mode::translate_address (Tgeneral_data_t address)
  {
    spr_address_t addr;

    addr._group    = range<Tgeneral_data_t>(address,15,11);
    addr._register = range<Tgeneral_data_t>(address,10, 0);

    return addr;
  }

}; // end namespace behavioural
}; // end namespace morpheo              

